Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004955 [JEDI VCL] 00 JVCL Components crash always 2009-09-23 22:18 2009-10-01 10:47
Reporter EMBarbosa View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.38
Summary 0004955: jvWaitingProgress if you activate it freezes the application (or Delphi if is design time)
Description   In Delphi, put an new jvWaitingProgress in a form. use Object inspector to change property Active to true. It will start the waiting, but will not leave this state.
  if you do this in runtime, using jvwaitingProgress.active := true; the same occurrs.
  
Additional Information using Delphi 7 (not 7.1)
Tags No tags attached.
Attached Files

- Relationships
related to 0004965resolvedobones Freezes on TJvWaitingProgress.OnEnded event with showmessage. 

-  Notes
(0016177)
EMBarbosa (reporter)
2009-09-23 23:21

I tryed to track down the issue. but i can't install JVCL with debug now...
anyway, trying to step into in the code, I found that after the time expires the
call of FOndraw in procedure TJvImageDrawThread.Draw (line 79 in JvImageDrawThread.pas) in some way call procedure EnterCriticalSection; external kernel32 name 'EnterCriticalSection' and never return...
  Sorry can't do more about it for now. :(
(0016180)
obones (administrator)
2009-09-24 10:11

You MUST apply all updates for your Delphi version, we don't support non updated versions.
Please do so and try again.
(0016187)
EMBarbosa (reporter)
2009-09-24 15:31

I've installed delphi 7.1 update and database suplemental update. tested, same error.
  Uninstalled JCL+JVCL, installed again, but still same error, nothing changes :ยด(
  Must I install any other update? (must add that version 330 was used without any error and no need of updates)
  Also I've added a new issue, that occurrs in instalation (both, Delphi 7 or 7.1) and may be related...number 4957 -> http://issuetracker.delphi-jedi.org/view.php?id=4957 [^]
(0016194)
EMBarbosa (reporter)
2009-09-25 19:30

Hi all,
  Issue 4957 is solved by changing path of the instalation of JVCL, but it din't help this issue. :o(
  So it is not related after all.
  it is realy simple to test, put a jvWaitingprogress on form, change it to active true and wait the time.... it will realy never stop, neither in designtime.
(0016204)
ZENsan (reporter)
2009-09-30 18:32

Eh!! That was good. I tried to reproduce and my IDE just hung up.. COOL!
Just put it to Active and wait when it reach the end, after that IDE just goes not responding.
(0016206)
obones (administrator)
2009-10-01 10:18

Ah, that was the part that was missing: One MUST wait for the progress to reach its end to see the lockup.
(0016207)
obones (administrator)
2009-10-01 10:47

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2009-09-23 22:18 EMBarbosa New Issue
2009-09-23 23:21 EMBarbosa Note Added: 0016177
2009-09-24 10:11 obones Note Added: 0016180
2009-09-24 10:11 obones Status new => feedback
2009-09-24 15:31 EMBarbosa Note Added: 0016187
2009-09-25 19:30 EMBarbosa Note Added: 0016194
2009-09-30 18:32 ZENsan Note Added: 0016204
2009-10-01 10:18 obones Note Added: 0016206
2009-10-01 10:18 obones Status feedback => acknowledged
2009-10-01 10:18 obones Status acknowledged => confirmed
2009-10-01 10:47 obones Note Added: 0016207
2009-10-01 10:47 obones Status confirmed => resolved
2009-10-01 10:47 obones Fixed in Version => Daily / SVN
2009-10-01 10:47 obones Resolution open => fixed
2009-10-01 10:47 obones Assigned To => obones
2009-10-05 13:15 obones Relationship added related to 0004965


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker